import { Program } from "@typespec/compiler";
import { LoggerLevel } from "./log-level.js";
export declare class Logger {
    private static instance;
    private initialized;
    private tracer;
    private level;
    private program;
    private constructor();
    static initialize(program: Program, level: LoggerLevel): void;
    static getInstance(): Logger;
    info(message: string): void;
    debug(message: string): void;
    verbose(message: string): void;
    warn(message: string): void;
    error(message: string): void;
}
//# sourceMappingURL=logger.d.ts.map